package cl.jtv;

/*
 * ComandoIE.java
 *
 * Created on 18 de febrero de 2003, 10:49 PM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoIE extends Comando { 

    /** Creates new ComandoIE */
    public ComandoIE(Object newArtefacto,Vector2 newVector2) {
        super(newArtefacto,newVector2);
        inverse = new ComandoEM(newArtefacto,newVector2);
    }
    
    public void doIt() {
        
        Enlace enlace = (Enlace)artefacto;
        Maquina previa = enlace.previa;
        
        if(previa.proxima==null){
            EnlaceCompuesto ec = new EnlaceCompuesto(previa);
            previa.setProxMaquina(ec);
            ec.insertar(enlace);            
        }
        else{
            EnlaceCompuesto ec = (EnlaceCompuesto)previa.proxima;
            ec.insertar(enlace);
        }
        
        vector2.add(enlace);
    }
    
    
    
}
